@use 'sass:math';
@import '../../../variables.scss';

.title {
  width: 85%;
  display: flex;
  flex-flow: column nowrap;
  font-family: $primary-font;

  .sub1 {
    padding-left: $padding;
    color: $primary-color;
    font-size: 28pt;
    font-weight: bold;
    margin-bottom: 5px;
  }

  .sub2 {
    padding-left: $padding;
    font-weight: bold;
    font-size: 28pt;
    padding-bottom: math.div($padding,2);
    border-bottom: 1px solid $primary-color;
    color: $secondary-color;
  }

  &.white-centered {
    width: 100%;
    text-align: center;

    .sub1 {
      color: white;
      font-size: 30pt;
      font-weight: bold;
      padding-left: 0;
      margin-bottom: 4px;
    }

    .sub2 {
      color: white;
      font-weight: bold;
      font-size: 25pt;
      padding-left: 0;
    }
  }

  &.primary-centered {
    width: 100%;
    text-align: center;

    .sub1 {
      color: $primary-color;
      font-size: 30pt;
      font-weight: bold;
      padding-left: 0;
      margin-bottom: 4px;
    }
  }
}
